Subject: Re: Testing a freshly built cygwin1.dll
From: Gilles-Claude Rajaobelina <[email-masked]>
Cc: [email-masked]
Date: Sat, 24 Jun 2000 18:11:14 +0200

DJ Delorie wrote:

> To check a cygwin1.dll, run "make check" in the winsup/cygwin
> directory.

$ /obj/winsup/src/i686-pc-cygwin/winsup/cygwin
$ make check
../..
couldn't read file "/usr/share/dejagnu/runtest.exp": no such file or
directory
make: [check] Error 1 (ignored)
../..
Ok I' ll see that later...let's impatiently proceed

> If that works, install everything *but* the dll (if you can).  Then,
> close down all bash windows (so no cygwin program is running), save
> your old dll, and copy the new dll to *all* the places where the old
> dll was (there are seven on my machine).  Then start up a bash window
> and see what happens (or better, run a cygwin program from within an
> ms-dos window).

cygcheck seems happy

> I have a batch file I use to copy various DLLs to all the places they
> need to go, and I've got shortcuts on the desktop to invoke them. Yes,
> I do this a lot :-)

Gosh! you' re right. Searching all drives shows that I have 12 copies :-)

> The "shared region is corrupt" message just means you have two
> different versions of cygwin1.dll running on your machine at one time.

Thank you very much. Going to do the big jump alone now.

--
Gilles-Claude Rajaobelina \\\///    | mailto:[email-masked] |
GNU'ries                  (o  o)    | http://perso.wanadoo.fr/gcr \\\///      |
                       oOO--(_)--OOo| Tel:(33)01.xx.xx.xx.xx      (o  o)      |
78340 Les Clayes sous Bois, FRANCE  | Fax:(33)01.xx.xx.xx.xx  oOO--(_)--OOo   |

--
Want to unsubscribe from this list?
Send a message to [email-masked]